Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/32220/?format=api
{ "ob_id": 32220, "uuid": "81cf5b23a50446a0991eba0dc9cb46eb", "title": "APHH: Single Particle Soot Photometer (SP2) measurements made at the Indira Gandhi Delhi Technical University for Women (IGDTUW) site during the pre and post monsoon periods for the DelhiFlux field campaign 2018", "abstract": "This dataset includes black carbon mass and number concentrations measurements performed by the University of Manchester with a Single Particle Soot Photometer (SP2) made during the Pre- Monsoon and Post-Monsoon periods of the APHH Delhi campaigns in 2018 at Indira Gandhi Delhi Technical University for Women (IGDTUW) site.\r\n\r\nThe data were collected as part of the DelhiFlux project part of Air Pollution & Human Health in a Developing Indian Megacity (APHH-India) programme.", "keywords": "APHH, Delhiflux, organic aerosols", "publicationState": "published", "dataPublishedTime": "2021-03-16T09:55:05", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/32221/?format=api", "dataPath": "/badc/aphh/data/delhi/delhiflux/man-sp2/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 493295, "numberOfFiles": 4, "fileFormat": "Data are BADC-CSV formatted." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/8830/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/2612/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/87071/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/87072/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/87073/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/87074/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/87075/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/87076/?format=api" ], "dataLineage": "Data were collected, quality controlled and prepared for archiving by the instrument scientists before upload to the Centre for Environmental Data Analysis (CEDA) for long term archiving.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/24808/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/projects/30221/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/32625/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143281/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143282/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143283/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143276/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143278/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143279/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143280/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143277/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/168354/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143284/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143285/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143286/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/32222/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }